IteratorImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal
Class IteratorImpl

    java.lang.Object
      org.hibernate.internal.IteratorImpl

All Implemented Interfaces:
  Iterator, HibernateIterator

    public final class IteratorImpl

extends Object
implements HibernateIterator

An implementation of `java.util.Iterator` that is returned by `iterate()` query execution methods.

Constructor Summary
`IteratorImpl(ResultSet rs, PreparedStatement ps, EventSource sess, boolean readOnly, Type[] types, String[][] columnNames, HolderInstantiator holderInstantiator)`

Method Summary
`void` | `close()` Close the Hibernate query result iterator
`boolean` | `hasNext()`
`Object` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IteratorImpl

    public IteratorImpl(ResultSet rs,
                        PreparedStatement ps,
                        EventSource sess,
                        boolean readOnly,
                        Type[] types,
                        String[][] columnNames,
                        HolderInstantiator holderInstantiator)
                 throws HibernateException,
                        SQLException

Throws:
  `HibernateException`
  `SQLException`

Method Detail

### close

    public void close()
               throws JDBCException

  Description copied from interface: `HibernateIterator`
  Close the Hibernate query result iterator

  Specified by:
    `close` in interface `HibernateIterator`
  Throws:
    `JDBCException` - Indicates a problem releasing the underlying JDBC resources.

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()
                throws HibernateException

  Specified by:
    `next` in interface `Iterator`
  Throws:
    `HibernateException`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.